From: "Alexey Shvetsov" <alexxy@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyelftools/
Date: Sun, 4 Aug 2019 13:58:11 +0000 (UTC) [thread overview]
Message-ID: <1564926436.70abcf669f792f3782c985b9c46590e09f52b713.alexxy@gentoo> (raw)
commit: 70abcf669f792f3782c985b9c46590e09f52b713
Author: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 4 13:47:16 2019 +0000
Commit: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Sun Aug 4 13:47:16 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70abcf66
dev-python/pyelftools: works with py3.7
Package-Manager: Portage-2.3.70, Repoman-2.3.16
Signed-off-by: Alexey Shvetsov <alexxy <AT> gentoo.org>
dev-python/pyelftools/pyelftools-0.24-r1.ebuild | 29 +++++++++++++++++++++++++
1 file changed, 29 insertions(+)
diff --git a/dev-python/pyelftools/pyelftools-0.24-r1.ebuild b/dev-python/pyelftools/pyelftools-0.24-r1.ebuild
new file mode 100644
index 00000000000..d8bfc6dcef8
--- /dev/null
+++ b/dev-python/pyelftools/pyelftools-0.24-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+inherit distutils-r1
+
+DESCRIPTION="pure-Python library for analyzing ELF files and DWARF debugging information"
+HOMEPAGE="https://pypi.org/project/pyelftools/ https://github.com/eliben/pyelftools"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="examples"
+
+python_test() {
+ # readelf_tests often fails due to host `readelf` changing output format
+ local t
+ for t in all_unittests examples_test ; do
+ "${PYTHON}" ./test/run_${t}.py || die "Tests fail with ${EPYTHON}"
+ done
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
next reply other threads:[~2019-08-04 13:58 UTC|newest]
Thread overview: 54+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-08-04 13:58 Alexey Shvetsov [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-08 10:55 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyelftools/ Michał Górny
2025-03-08 10:48 Arthur Zamarin
2025-02-20 5:06 Michał Górny
2024-05-18 7:26 Michał Górny
2024-03-30 14:59 Michał Górny
2024-03-30 14:53 Michał Górny
2024-03-15 5:06 Michał Górny
2023-10-14 18:28 Michał Górny
2023-10-14 16:52 Arthur Zamarin
2023-09-07 3:19 Michał Górny
2023-08-25 16:42 Arthur Zamarin
2022-09-11 5:29 Michał Górny
2022-09-10 22:48 Jakov Smolić
2022-08-11 8:50 Michał Górny
2022-06-05 18:01 Arthur Zamarin
2022-05-05 2:40 WANG Xuerui
2022-03-16 7:56 Michał Górny
2022-02-03 20:39 Arthur Zamarin
2021-07-11 22:16 Marek Szuba
2021-06-05 17:59 Michał Górny
2021-03-02 8:33 Michał Górny
2021-03-02 1:38 Sam James
2020-12-31 6:07 Sam James
2020-10-04 21:15 Michał Górny
2020-07-09 13:42 Michał Górny
2020-07-09 8:34 Agostino Sarubbo
2020-04-08 19:11 Sebastian Pipping
2020-03-28 17:44 Michał Górny
2020-03-28 17:44 Michał Górny
2020-03-28 17:21 Michał Górny
2020-03-07 11:06 Agostino Sarubbo
2020-03-07 11:03 Agostino Sarubbo
2020-03-07 10:58 Agostino Sarubbo
2020-03-07 10:54 Agostino Sarubbo
2020-03-07 10:50 Agostino Sarubbo
2020-03-07 9:44 Agostino Sarubbo
2020-03-07 8:59 Agostino Sarubbo
2020-03-07 8:25 Agostino Sarubbo
2020-02-05 19:37 Michał Górny
2019-12-03 5:06 Andreas Sturmlechner
2019-10-04 11:14 Alexey Shvetsov
2017-05-22 15:47 Manuel Rüger
2017-02-24 19:19 Mike Frysinger
2017-02-24 18:00 Markus Meier
2017-01-31 16:12 Jeroen Roovers
2017-01-23 16:27 Agostino Sarubbo
2017-01-22 20:10 Tobias Klausmann
2017-01-19 10:59 Agostino Sarubbo
2017-01-19 10:37 Agostino Sarubbo
2016-11-04 0:37 Tim Harder
2016-03-27 19:04 David Seifert
2016-03-27 19:04 David Seifert
2015-10-18 1:39 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1564926436.70abcf669f792f3782c985b9c46590e09f52b713.alexxy@gentoo \
--to=alexxy@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox